import { bundleToWebpackStats } from './transform.esm.js';
import 'path';
import 'crypto';

const NAME = 'webpackStats';
const webpackStats = (options = {}) => ({
    name: NAME,
    generateBundle(outputOptions, bundle) {
        const resolvedOptions = typeof options === 'function' ? options(outputOptions) : options;
        const output = bundleToWebpackStats(bundle, resolvedOptions);
        this.emitFile({
            type: 'asset',
            fileName: resolvedOptions.fileName || 'webpack-stats.json',
            source: JSON.stringify(output),
        });
    },
});

export { webpackStats as default };
//# sourceMappingURL=index.esm.js.map
